Subject: bug#24594: 24.5; `variable-pitch-mode': accept FACE arg instead of hardcoding the face

From: Drew Adams <[email-masked]>
Date: Sun, 2 Oct 2016 20:48:19 -0700 (PDT)

> > See http://emacs.stackexchange.com/a/27527/105: the user wants to use a
> > different face from face `variable-pitch'.  That seems reasonable.
> 
> That's not how I read it.  I think they just want to change the look of
> Emacs after invoking variable-pitch-mode, and customizing the variable-pitch
> face seems like the right approach for that.

The question as posed is ambiguous, but it specifically asks how to use a different face.  The answer I gave spoke to both possible interpretations of the question.

> > Please consider adding an optional FACE argument, defaulting to face
> > `variable-pitch'.
> 
> I don't really see why the function should be called variable-pitch-mode any
> more.  Maybe select-buffer-face? IIUC this wouldn't have anything to do with
> variable pitches any more, except for the default value, maybe?

Agreed.  Unless there is some particular use for limiting the accepted FACE to variable-pitch faces.  In that case, additional logic/control would be needed.

Was there some particular reason that a mode was written specifically for variable-pitch (whether the face `variable-pitch' or variable-pitch faces in general), rather than providing a mode for any face?  If not then agreed: a name change would be appropriate.